Package com.appliedolap.essbase.impl
Class EssCubeImpl
java.lang.Object
com.appliedolap.essbase.AbstractEssObject
com.appliedolap.essbase.impl.EssCubeImpl
Represents an Essbase cube on the server.
-
Nested Class Summary
Nested ClassesModifier and TypeClassDescriptionstatic classstatic classNested classes/interfaces inherited from interface com.appliedolap.essbase.EssCube
EssCube.MdxIdentifierType, EssCube.MdxOutputTypeNested classes/interfaces inherited from interface com.appliedolap.essbase.EssObject
EssObject.Type -
Field Summary
Fields inherited from class com.appliedolap.essbase.AbstractEssObject
api -
Constructor Summary
ConstructorsConstructorDescriptionEssCubeImpl(ApiContext api, EssApplication application, com.appliedolap.essbase.client.model.Cube cube) -
Method Summary
Modifier and TypeMethodDescriptioncreateDrillthroughURL(String urlName, String urlLink, List<String> drillRegions) Creates a URL-type drill-through on the cube,executeMdx(String query) voidexecuteMdx(String query, EssCube.MdxOutputType outputType, EssCubeImpl.MdxOptions mdxOptions, OutputStream outputStream) voidExports this cube to an Excel workbook.Gets the parent application of this cube.Get the list of scripts associated with this cube.Gets the list of dimensions on the cube, if any.getDrillthrough(String drillthroughName) Gets a drill-through report with a specific name.Get list of drill-through reports on the cube.getLockedObjects(Integer offset, Integer limit) List Locked Objects Returns all the locked objects from the specified application and databaseGets a reference to a particular member in the cube outline.getName()Gets the name of this object.Gets an outline object for this cube.Gets the list of scenarios on the cube, if any.Gets the list of sessions on this cube.getType()Gets the type of this object.Gets the list of variables specific to this cube.voidimportExcel(String path, String filename) Updates this cube using an Excel workbook.voidimportFile(File file) Acts as a convenience function for uploading a file to a cube's storage folder.booleanChecks if this cube has scenarios enabled.voidlockObject(EssLock unlockedObject) Lock Object Locks the object in the specified application and database and returns the details of the locked objectOpens a live, ad hoc grid view on this cube using its default layout - the REST analog of the Java API'sIEssCube.openCubeView.openCubeView(String layoutName) Opens a live, ad hoc grid view on this cube using a specific saved layout by name, rather than whatever is currently saved as "Default".voidThe layout to delete is named after the current user, so this needs to know who that is.voidunlockObject(EssLock lockedObject) Unlock Object Unlocks the object in the specified application and database
-
Constructor Details
-
EssCubeImpl
public EssCubeImpl(ApiContext api, EssApplication application, com.appliedolap.essbase.client.model.Cube cube)
-
-
Method Details
-
getName
Description copied from interface:EssObjectGets the name of this object. This will generally be the "nice" and "unique" name of this object, such as the application name, cube, member, variable, or whatever. -
getType
Description copied from interface:EssObjectGets the type of this object. -
getCalcScripts
Description copied from interface:EssCubeGet the list of scripts associated with this cube.- Specified by:
getCalcScriptsin interfaceEssCube- Returns:
- the scripts on this cube
-
getApplication
Description copied from interface:EssCubeGets the parent application of this cube.- Specified by:
getApplicationin interfaceEssCube- Returns:
- the parent application
-
getSessions
Description copied from interface:EssCubeGets the list of sessions on this cube.- Specified by:
getSessionsin interfaceEssCube- Returns:
- the current cube sessions
-
getVariables
Description copied from interface:EssCubeGets the list of variables specific to this cube. The return type is anEssVariableImpl, however, the actual implementation will be the subclassEssCubeVariableImpl. TheEssVariableImpl.getScope()method can be used to check the variable type and cast as needed.- Specified by:
getVariablesin interfaceEssCube- Returns:
- the cube variables
-
getOutline
Description copied from interface:EssCubeGets an outline object for this cube.- Specified by:
getOutlinein interfaceEssCube- Returns:
- an outline object
-
isScenariosEnabled
public boolean isScenariosEnabled()Description copied from interface:EssCubeChecks if this cube has scenarios enabled.- Specified by:
isScenariosEnabledin interfaceEssCube- Returns:
- true if scenarios are enabled, false otherwise
-
createDrillthroughURL
public EssDrillthrough createDrillthroughURL(String urlName, String urlLink, List<String> drillRegions) Description copied from interface:EssCubeCreates a URL-type drill-through on the cube,- Specified by:
createDrillthroughURLin interfaceEssCube- Parameters:
urlName- the name (no spaces?!)urlLink- the drill-through linkdrillRegions- the drillable regions- Returns:
- a new drill-through object
-
getDrillthroughs
Description copied from interface:EssCubeGet list of drill-through reports on the cube.- Specified by:
getDrillthroughsin interfaceEssCube- Returns:
- the list of cube drill-through reports
-
getDrillthrough
Description copied from interface:EssCubeGets a drill-through report with a specific name. Note that the current implementation of this method hits the drill-through report list endpoint and filters based on the name, so you will likely end up with two trips to the server: one to get the list, and one to get the details of the report, which will happen when you access most detailed properties in the drill-through report.- Specified by:
getDrillthroughin interfaceEssCube- Parameters:
drillthroughName- the name of the drill-through report- Returns:
- a drill-through report object
-
getScenarios
Description copied from interface:EssCubeGets the list of scenarios on the cube, if any.- Specified by:
getScenariosin interfaceEssCube- Returns:
- the cube's scenarios
-
getMember
Description copied from interface:EssCubeGets a reference to a particular member in the cube outline. This method is likely to change in the future as the outline management and other classes come in to focus, to say nothing of how member IDs and unique members and such will need to be handled. -
getDimensions
Description copied from interface:EssCubeGets the list of dimensions on the cube, if any.- Specified by:
getDimensionsin interfaceEssCube- Returns:
- the cube's dimensions
-
getLockedObjects
Description copied from interface:EssCubeList Locked Objects Returns all the locked objects from the specified application and database- Specified by:
getLockedObjectsin interfaceEssCube- Parameters:
offset- Number of items to omit from the start of the result set. Default value is 0limit- Maximum number of objects to return. Default is 50- Returns:
- LockObjectLis
-
unlockObject
Description copied from interface:EssCubeUnlock Object Unlocks the object in the specified application and database- Specified by:
unlockObjectin interfaceEssCube- Parameters:
lockedObject- Details about object to be unlocked
-
lockObject
Description copied from interface:EssCubeLock Object Locks the object in the specified application and database and returns the details of the locked object- Specified by:
lockObjectin interfaceEssCube- Parameters:
unlockedObject- Object details to be locked (required)
-
exportExcel
public void exportExcel()Description copied from interface:EssCubeExports this cube to an Excel workbook.- Specified by:
exportExcelin interfaceEssCube
-
importExcel
Description copied from interface:EssCubeUpdates this cube using an Excel workbook. This API is likely to change soon to take an EssFile reference- Specified by:
importExcelin interfaceEssCube- Parameters:
path- the pathfilename- the filename
-
importFile
Description copied from interface:EssCubeActs as a convenience function for uploading a file to a cube's storage folder. The Essbase server maps the file location/applications/AppName/CubeName, which contains the cube files such as calc scripts, load rules, and whatnot.- Specified by:
importFilein interfaceEssCube- Parameters:
file- the file to upload to the cube
-
executeMdx
public void executeMdx(String query, EssCube.MdxOutputType outputType, EssCubeImpl.MdxOptions mdxOptions, OutputStream outputStream) - Specified by:
executeMdxin interfaceEssCube
-
executeMdx
- Specified by:
executeMdxin interfaceEssCube
-
openCubeView
Description copied from interface:EssCubeOpens a live, ad hoc grid view on this cube using its default layout - the REST analog of the Java API'sIEssCube.openCubeView.- Specified by:
openCubeViewin interfaceEssCube- Returns:
- a navigable cube view
-
openCubeView
Description copied from interface:EssCubeOpens a live, ad hoc grid view on this cube using a specific saved layout by name, rather than whatever is currently saved as "Default".- Specified by:
openCubeViewin interfaceEssCube- Parameters:
layoutName- the name of the saved layout to open- Returns:
- a navigable cube view
-
resetDefaultView
public void resetDefaultView()The layout to delete is named after the current user, so this needs to know who that is.It asks the authentication strategy first and only falls back to
GET /sessionwhen the strategy doesn't know - which is a strategy carrying a session or token rather than a name. That ordering is not just to save a round trip:GET /sessionanswers 500 on Essbase 26.1, so asking it first made this method, and therefore every fresh ad hoc grid, fail outright there.- Specified by:
resetDefaultViewin interfaceEssCube
-